### Method

# Gtk IMContextSimpleadd_table

deprecated: 4.4

#### Declaration [src]

    void
    gtk_im_context_simple_add_table (
      GtkIMContextSimple* context_simple,
      guint16* data,
      int max_seq_len,
      int n_seqs
    )

#### Description [src]

Adds an additional table to search to the input context. Each row of the table consists of `max_seq_len` key symbols followed by two #guint16 interpreted as the high and low words of a #gunicode value. Tables are searched starting from the last added.

The table must be sorted in dictionary order on the numeric value of the key symbol fields. (Values beyond the length of the sequence should be zero.)

Deprecated since: 4.4

Use `gtk_im_context_simple_add_compose_file()`

This method is not directly available to language bindings.

#### Parameters

`data`

  Type: An array of `guint16`

  The table.

  The data is owned by the caller of the method.

`max_seq_len`

  Type: `int`

  Maximum length of a sequence in the table.

`n_seqs`

  Type: `int`

  Number of sequences in the table.